Package org.eclipse.emf.cdo.ui.compare

## Class CDOCompareEditorUtil.TransactionOpenerAndEditorCloser

- java.lang.Object
- - org.eclipse.emf.cdo.ui.compare.CDOCompareEditorUtil.TransactionOpenerAndEditorCloser

- All Implemented Interfaces:
    `CDOTransactionOpener`
  Enclosing class:
    CDOCompareEditorUtil

      public static final class CDOCompareEditorUtil.TransactionOpenerAndEditorCloser
      extends java.lang.Object
      implements CDOTransactionOpener

  Since:
    4.4
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransactionOpenerAndEditorCloser​(CDOTransactionOpener delegate, boolean closeTransactionAfterCommit)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isCloseTransactionAfterCommit()` |
    `CDOTransaction` | `openTransaction​(java.lang.String durableLockingID, ResourceSet resourceSet)` | Opens and returns a `transaction` on the given EMF `resource set` by resuming a transaction that has previously been made durable by calling `CDOTransaction.enableDurableLocking(true)`.
    `CDOTransaction` | `openTransaction​(CDOBranchPoint target, ResourceSet resourceSet)` | Opens and returns a new `transaction` on the given EMF `resource set`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionOpenerAndEditorCloser

          public TransactionOpenerAndEditorCloser​(CDOTransactionOpener delegate,
                                                  boolean closeTransactionAfterCommit)

  - ### Method Detail

    - #### isCloseTransactionAfterCommit

          public boolean isCloseTransactionAfterCommit()

    - #### openTransaction

          public CDOTransaction openTransaction​(java.lang.String durableLockingID,
                                                ResourceSet resourceSet)

      Description copied from interface: `CDOTransactionOpener`
      Opens and returns a `transaction` on the given EMF `resource set` by resuming a transaction that has previously been made durable by calling `CDOTransaction.enableDurableLocking(true)`.
      Specified by:
        `openTransaction` in interface `CDOTransactionOpener`

    - #### openTransaction

          public CDOTransaction openTransaction​(CDOBranchPoint target,
                                                ResourceSet resourceSet)

      Description copied from interface: `CDOTransactionOpener`
      Opens and returns a new `transaction` on the given EMF `resource set`.
      Specified by:
        `openTransaction` in interface `CDOTransactionOpener`